package com.bcxin.tenant.open.domains.repositories;

import com.bcxin.tenant.open.domains.entities.RdSecurityStationEntity;
import com.bcxin.tenant.open.infrastructures.repositories.RepositoryBase;

import java.util.Collection;

public interface RdSecurityStationRepository extends RepositoryBase<RdSecurityStationEntity> {
    Collection<RdSecurityStationEntity> getByPage(Collection<String> ids, int pageIndex, int pageSize);

    void updateCountOfSecurityMen(Collection<String> stationIds);

    RdSecurityStationEntity getByNoPkId(String id);

    Collection<RdSecurityStationEntity> getByIds(Collection<String> ids);

    Collection<String> getInvalidStationIds(int pageSize);
}
